<template>
  <el-card class="b-ad-card" :body-style="{ padding: '0px' }">

    <!-- BEGIN block image -->
    <div class="b-image">
      <img :src="thumbnail" v-if="thumbnail" class="b-image__thumb">
      <img src="~static/images/ad-plug.svg" v-else class="b-image__plug"/>
    </div>
    <!-- END block image -->

    <!-- BEGIN block content -->
    <div class="b-content">
      <div class="b-content__price">{{ ad.price }}.00 €</div>
      <div class="b-content__date">{{ date }}</div>
      <div class="b-options">
        <span class="b-options__item">{{ $t('realty.' + ad.realty) }}</span>
        <span class="b-options__item" v-if="ad.countRooms">{{ ad.countRooms }}-к</span>
        <span class="b-options__item" v-if="ad.area">{{ ad.area }} кв.м<sup>2</sup></span>
      </div>
    </div>
    <!-- END block content -->

  </el-card>
</template>

<style lang="stylus" scoped>
  @import '~style/vars'

  .b-ad-card
    margin-bottom 15px

    .b-image
      width 100%
      height 250px
      background-color $color-extra-light-gray

      &__plug
        display block
        width 40%
        height 100%
        margin 0 auto

      &__thumb
        display block
        width 100%
        height 100%
        object-fit cover

    .b-content
      padding 10px 15px
      color $color-light-black

      &__price
        float left
        font-weight bold
        margin-bottom 10px

      &__date
        float right
        color $color-silver
        font-size .8rem

    .b-options
      clear both

      &__item
        position relative
        margin-right 10px
        font-size .8rem

      &__item:not(:last-child):before
        content ''
        position absolute
        top 9px
        right -8px
        width 2px
        height 2px
        border-radius 3px
        background-color $color-silver

</style>

<script>
  import moment from 'moment';

  export default {
    name: 'ad-card',
    props: ['ad'],
    computed: {
      thumbnail () {
        if (!this.ad.images.length) {
          return '';
        }
        for (let image of this.ad.images) {
          if (image.isBasic) {
            return API_URL + 'image_ads/' + image.id;
          }
        }
      },
      date () {
        let date = moment(this.ad.createdAt);
        let formattedDate = date.format('DD/MM/YYYY');

        if (date.isSame(moment(), 'day')) {
          formattedDate = 'Сегодня';
        }

        if (date.isSame(moment().subtract(1, 'days'), 'day')) {
          formattedDate = 'Вчера';
        }

        return formattedDate;
      }
    }
  };
</script>
